<?php
ini_set("session.cookie_lifetime",60*60*10);
ini_set("session.gc_maxlifetime", 60*60*10);
	session_start();
	include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
	if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
		//
	if(vbval($_SESSION['SYS_USER_GI'])!=USU_GET_GI($_SESSION['SYS_USER_ID'])){
		JsDir("cerrar.php");	
		return;
	}
	//
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	//-------------------------
	$StrEmp=V($_POST['CboEmp']);		
	$StrAlm=V($_POST['CboAlm']);			
	$StrAcc=V($_POST['CboAcc']);		
	$StrNum=V($_POST['TxtNum']);		
	$StrDex=V($_POST['TxtDex']);		
	$StrHax=V($_POST['TxtHax']);	
	$StrSN=V($_POST['CboSN']);				
	//
	if(strlen($StrEmp)==0)$StrEmp=GE("S");
	if(strlen($StrAlm)==0)$StrAlm=GA($StrEmp,"S");
	//	
	if(strlen($StrAcc)==0) $StrAcc="QUITAR";
	if(strlen($StrSN)==0) $StrSN="NO";
	//-------------------------
	$StrEmp_=LIKE($StrEmp);
	$StrAlm_=LIKE($StrAlm);
	$StrAcc=substr($StrAcc,0,1);
	$StrNum_=$StrNum."%";
	$StrDex_=val_dex($StrDex);
	$StrHax_=val_hax($StrHax);
	$StrSN_=substr($StrSN,0,1);
	//-------------------------
	$FF="ID>0 AND EMPC LIKE '$StrEmp_' AND ALM LIKE '$StrAlm_' 
		AND ACC LIKE '$StrAcc' AND 
		NUM LIKE '$StrNum_' AND FEC >= '$StrDex_' AND 
		FEC <= '$StrHax_' AND ANU LIKE '$StrSN_'";
	include("ajustes_piezas_pdf.php");

	$LStrTR=gn("count(*)","vis_ajustes_presentacion",$FF);							
	$LStrPag=V($_POST['TxtPag']);	
if($StrCmd=="F"){$LStrPag="1";}
$VP_RegXPag=20;	
$LStrPag=PagGet($LStrPag,$StrCmd,$LStrTR,$VP_RegXPag);
	//-------------------------
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Ajustes Piezas - Buscar</title>
<!--CSS_NEW------------------------------------->
<link rel="stylesheet" type="text/css" href="estiloss.css"  />
<link rel="stylesheet" type="text/css" href="basic.css"  />
<!--CSS_NEW------------------------------------->
<?php AddJs();?>
<script type="text/javascript" src="fe/funcionez.js"></script>
<script>
$(document).ready(function(){  
   Inicializar();
});
//----------------------------
function fGenPDF(){
	var emp=gv("CboEmp");
	var alm=gv("CboEmp");
	if(emp=="TODOS"){
		alert("Seleccione una empresa");
		return jF("CboEmp");
	}
	if(alm=="TODOS"){
		alert("Seleccione un almacen");
		return jF("CboAlm");
	}
	document.getElementById("TxtAc").value="GEN_PDF_2";
	document.getElementById("Frm").submit();
}
function EM_OC(){	
	var Emp=gv("CboEmp");	
	var r=AX("03",Emp);
	if(r=="X"){
		CBO_CLS("CboAlm",1);
	}else{
		CBO_FILL("CboAlm",r,0);
	}
}

</script>

<script language="javascript">
$(document).ready(function() {
	$(".botonExcel").click(function(event) {
		$("#datos_a_enviar").val( $("<div>").append( $("#Exportar_a_Excel").eq(0).clone()).html());
		$("#FormularioExportacion").submit();
});
});
</script>
<script>
$(document).ready(function(){
$("#TxtDex").mask("99-99-99");
$("#TxtHax").mask("99-99-99");
});
</script>
<style type="text/css">
<!--
body {
	background-color: #CCC;
}
#Layer1 {
	position:absolute;
	left:345px;
	top:115px;
	width:123px;
	height:35px;
	z-index:1;
}
.centrarFrm{
	width:1000px;
	height:600px;
	position:absolute;
	left:50%;
	top:50%;
	background-color:#006699;
	margin:-300px 0 0 -500px;
}
#Layer2 {
	position:absolute;
	left:409px;
	top:205px;
	width:82px;
	height:24px;
	z-index:1;
}
.Estilo1 {
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
	color: #FFFFFF;
}
.f2 {font-family: Arial, Helvetica, sans-serif; font-weight: bold; color: #FFFFFF; font-size: 12px; }
.Estilo3 {color: #FFFFFF; font-size: 12px; font-family: Arial, Helvetica, sans-serif;}
.x4 {color: #000099}
.Estilo5 {color: #000000}

-->
</style>

</head>
<body  <?php echo $StrMsg;?>>
<div Id="DivFRM"  class="centrarFrm" >
<form id="Frm" name="Frm" method="post" action="ajustes_piezas_buscar.php">

  

<div id="layer5" style="position:absolute; left: 116px; top: 50px; width: 561px;">
<div align="left" class="f2">
<input name="CmdV" type="button" id="CmdV" 
value="Volver" onclick="fVolver('ajustes_piezas.php?TxtAc=X');" />

<input name="CmdPDF" type="button" id="CmdPDF" 
value="Generar PDF" onclick="fGenPDF();"  
tabindex="<?php echo ++$TI;?>" />


</div>
</div>

<div id="layer3" style="position:absolute; left: 60px; top: 149px; width: 899px; height: 377px; overflow:auto">
<div align="left" class="f2">
<table id="Exportar_a_Excel" width="882" height="19" border="1" cellpadding="0" cellspacing="0">
<tr  >
<td height="18" colspan="4" bgcolor="#666666" align="center">
<?php echo PagBtn($LStrTR,$VP_RegXPag,$LStrPag);?>
</td>
</tr>
        
<tr>
<td width="534" bgcolor="#999999"><span class="x4">EMPRESA / ALMACEN</span></td>
<td width="163" bgcolor="#999999"><span class="x4">ACCION</span></td>
<td width="94" bgcolor="#999999"><span class="x4">NUMERO</span></td>
<td width="81" bgcolor="#999999"><span class="x4">FECHA</span></td>

</tr>
<?php		  			
	$s="SELECT ID,ALM,ACC,NUM,DATE_FORMAT(FEC,'%d-%m-%y') as FECHA,EMPC
		FROM vis_ajustes_presentacion  
		WHERE  $FF ORDER BY ALM,ACC,NUM,FEC  ";
	$s=PagSql($s,$LStrPag,$VP_RegXPag,$LStrTR);	  				
	$X1="<td bgcolor=\"#FFFFFF\"><span class=\"Estilo5\">";
	$X2="</span></td>";

	$result = grs($s);	
	while ($row = $result->fetch_assoc()){
		echo "<tr ondblclick=\"location.href='ajustes_piezas.php?Id=$row[ID]&Pag=0';\">";
		echo $X1.$row['EMPC']." / ".$row['ALM'].$X2;
		echo $X1.$row['ACC'].$X2;
		//echo $X1.$row[3].$X2;
		echo "<td bgcolor=\"#FFFFFF\"><a target=\"_blank\" href=\"ajustes_piezas.php?Id=$row[ID]\">'$row[NUM]</a></td>";
		echo $X1.$row['FECHA'].$X2;

		echo "</tr>";
	}
?>		  
          
         
</table>
      </div>
    </div>
    <div id="layer" style="position:absolute; left: 116px; top: 30px; width: 412px;">
      <div align="left" class="Estilo1">AJUTES PIEZAS - BUSCAR
        <input name="TxtId" type="hidden" id="TxtId" value="<?php echo $StrId;?>"/>
        <input name="TxtPag" type="hidden" id="TxtPag" value="<?php echo $LStrPag; ?>" />
		<input name="TxtAc" type="hidden" id="TxtAc" value="" />
<input name="FEC_SERVER" type="hidden" id="FEC_SERVER" value="<?php echo date("d-m-y");?>"/>  
      </div>
    </div>



    <div id="LblTit" style="position:absolute; left: 57px; top: 25px; width: 64px;">
    <div align="left" class="Estilo1"><img src="img/buscar.png" width="57" height="60" /></div>
  </div>	
    <input name="CmdB"  
         type="button" id="CmdB" 
           style="position:absolute; left: 800px; top: 120px; width: 48px;"
          value="Filtrar" onclick="fFiltrar();" />
          







<div style="position:absolute; left:60px; top:103px; width: 146px;">
<div align="left" class="f2">EMPRESA</div>
</div>
<select name="CboEmp" id="CboEmp" 
style="position:absolute; left:60px; top:120px; width: 131px;" 
onchange="EM_OC();"
onkeydown="return SoloTextoEx(event,'CboAlm');" tabindex="1">
<?php 
	echo LE($StrEmp,"S","N"); 
?>
</select>

<div style="position:absolute; left: 201px; top: 103px; width: 103px;">
<div align="left" class="f2">ALMACEN</div>
</div>
<select name="CboAlm" id="CboAlm" 
style="position:absolute; left: 199px; top: 120px; width: 117px;" 
onkeydown="return SoloTextoEx(event,'CboAcc');">
<?php
	echo LA($StrEmp,$StrAlm,"S","N");
?>
</select>

<div style="position:absolute; left: 332px; top: 103px; width: 78px;">
<div align="left" class="f2">ACCION</div>
</div>
<select name="CboAcc" id="CboAcc" 
style="position:absolute; left: 328px; top: 120px; width: 105px;" 
onkeydown="return SoloTextoEx(event,'TxtNum');">
<?php
	if(substr($StrAcc,0,1)=="Q" || strlen($StrAcc)==0){
		echo "<option value=\"QUITAR\" selected=\"selected\">QUITAR</option>";
	}else{
		echo "<option value=\"QUITAR\">QUITAR</option>";
	}
?>
</select>

<div style="position:absolute; left: 443px; top: 103px; width: 67px;">
<div align="left" class="f2">NUMERO</div>
</div>
<input name="TxtNum" type="text" id="TxtNum" 
style="position:absolute; left: 442px; top: 120px; width: 73px;" 
value="<?php echo $StrNum;?>"  
onkeydown="return SoloTextoEx(event,'TxtDex');"
tabindex="1" />

<div style="position:absolute; left: 528px; top: 88px; width: 45px;">
<div align="left" class="f2">DESDE</div>
</div>
<div class="EV" style="left: 525px; top: 103px; width: 88px; color:#FF0"><u><a onclick="fFecServer('TxtDex')">(dd-mm-yy) +</a></u></div>
<input name="TxtDex" type="text" id="TxtDex" 
style="position:absolute; left: 526px; top: 120px; width: 71px;" 
value="<?php echo $StrDex;?>"  
onkeydown="return SoloFec(this,event,'TxtHax');"
tabindex="1" />

<div style="position:absolute; left: 615px; top: 88px; width: 60px;">
<div align="left" class="f2">HASTA</div>
</div>
<div class="EV" style="left: 613px; top: 103px; width: 88px; color:#FF0"><u><a onclick="fFecServer('TxtHax')">(dd-mm-yy) +</a></u></div>
<input name="TxtHax" type="text" id="TxtHax" 
style="position:absolute; left: 611px; top: 120px; width: 73px;" 
value="<?php echo $StrHax;?>"  
onkeydown="return SoloFec(this,event,'CboSN');"
tabindex="1" />

<div style="position:absolute; left: 697px; top: 103px; width: 75px;">
<div align="left" class="f2">ANULADO</div>
</div>
<select name="CboSN" id="CboSN" 
style="position:absolute; left: 695px; top: 120px; width: 89px;" 
onkeydown="return SoloTextoEx(event,'CmdB');">
<?php
if($StrSN=="" || $StrSN=="NO"){
AD("NO",1);	AD("SI",0);
}else{
AD("NO",0);	AD("SI",1);
}
?>
</select>



  

<?php
if(strlen($StrDESCARGAR)>0){
echo "<div id=\"layer51\" 
	  style=\"position:absolute; left: 173px; top: 75px; 
	  width: 90px; background-color: #FFCC00; layer-background-color: #FFCC00; 
	  border: 1px none #000000; height: 17px;\">";
echo "<div align=\"center\" class=\"f2\"> ";
echo " <a href=\"$StrDESCARGAR\" download>Descarga.PDF</a> ";
echo "</div>";
echo "</div>";
}
?>

<div class="s1" style="left: 58px; top: 549px; width: 166px;">Doble Click sobre el registro para activar Actualizacion </div>

</form>



<form action="ficheroExcel.php" method="post" target="_blank" id="FormularioExportacion" >
<div style="position:absolute; left: 274px; top: 50px; width: 45px; height: 15px;">  
<input name="" type="button" class="botonExcel" value="Exportar" />
<input type="hidden" id="datos_a_enviar" name="datos_a_enviar" />
</div>
</form>

</div>
</body>
</html>
